# Uses of Class
org.apache.lucene.geo.XYCircle

Packages that use XYCircle
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of XYCircle in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type XYCircle
  Modifier and Type
  Method
  Description
  `static Query`
  XYShape.`newDistanceQuery(String field, ShapeField.QueryRelation queryRelation, XYCircle... circle)`
  create a query to find all cartesian shapes that intersect a provided circle (or arrays of circles) *